import { IConfig } from "../interfaces/config.interface";
import { Position } from "../enums/position";
import { TooltipState } from "../enums/state";
export declare abstract class Tooltip {
    protected element: HTMLElement | null;
    protected content: HTMLElement | string;
    protected position: Position;
    protected tooltip: HTMLElement;
    protected state: TooltipState;
    protected disableClick: boolean;
    protected onClose: Function | null;
    protected outerPadding: number;
    constructor(options: IConfig);
    private init;
    abstract createTooltipElement(): void;
    abstract addEventListeners(): void;
    open(): void;
    close(): void;
    private checkBounds;
}
