const path = require('path')

module.exports = {
	preset: 'ts-jest/presets/js-with-babel',
	rootDir: path.resolve(__dirname, '../../'),
	moduleFileExtensions: [
		'js',
		'json',
		'ts',
		'tsx'
	],
	moduleNameMapper: {
		'^@/(.*)$': '<rootDir>/src/$1'
	},
	transform: {
		'\\.(ts|tsx)$': 'ts-jest',
		'^.+\\.js$': 'babel-jest'
	},
	testPathIgnorePatterns: [
		'<rootDir>/test/cypress',
		'<rootDir>/Templates'
	],
	setupFiles: [
		'<rootDir>/test/unit/setup',
		"<rootDir>/node_modules/regenerator-runtime/runtime"
	]
}